Loading...
Searching...
No Matches
Opm::NullOilPvt< Scalar > Class Template Reference

Null object for oil PVT calculations. More...

`#include <NullOilPvt.hpp>`

## Public Member Functions

template<class Evaluation>
OPM_HOST_DEVICE Evaluation | inverseFormationVolumeFactor (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | saturatedInverseFormationVolumeFactor (unsigned, const Evaluation &, const Evaluation &) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | saturatedGasDissolutionFactor (unsigned, const Evaluation &, const Evaluation &) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | saturatedGasDissolutionFactor (unsigned, const Evaluation &, const Evaluation &, const Evaluation &, const Evaluation &) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | viscosity (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | saturatedViscosity (unsigned, const Evaluation &, const Evaluation &) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | internalEnergy (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
OPM_HOST_DEVICE void | setVapPars (const Scalar, const Scalar) const
OPM_HOST_DEVICE Scalar | hVap (unsigned) const
template<class Evaluation>
OPM_HOST_DEVICE Evaluation | diffusionCoefficient (const Evaluation &, const Evaluation &, unsigned) const

## Static Public Member Functions

static OPM_HOST_DEVICE constexpr auto | approach ()
static OPM_HOST_DEVICE constexpr bool | isActive ()
static OPM_HOST_DEVICE constexpr bool | mixingEnergy ()

## Detailed Description

template<class Scalar>
class Opm::NullOilPvt< Scalar >

Null object for oil PVT calculations.

This class provides empty implementations for all oil PVT methods, returning default values (0.0, false, etc.) for all calculations. Used when oil phase is not active or not supported.

The documentation for this class was generated from the following file:

- opm/material/fluidsystems/blackoilpvt/NullOilPvt.hpp